Package com.xebialabs.xlrelease.domain.events

# Class ReleaseRestoredEvent$

java.lang.Object
scala.runtime.AbstractFunction3<Release,Release,Object,ReleaseRestoredEvent>
com.xebialabs.xlrelease.domain.events.ReleaseRestoredEvent$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<Release,Release,Object,ReleaseRestoredEvent>`

public class ReleaseRestoredEvent$ extends scala.runtime.AbstractFunction3<Release,Release,Object,ReleaseRestoredEvent> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ReleaseRestoredEvent$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseRestoredEvent$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReleaseRestoredEvent`
  `apply(Release original, Release updated, int revisionId)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<Release,Release,Object>>`
  `unapply(ReleaseRestoredEvent x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Function3

  `apply`

- ## Field Details

  - ### MODULE$

    public static final ReleaseRestoredEvent$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### ReleaseRestoredEvent$

    public ReleaseRestoredEvent$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<Release,Release,Object,ReleaseRestoredEvent>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<Release,Release,Object,ReleaseRestoredEvent>`

  - ### apply

    public ReleaseRestoredEvent apply(Release original, Release updated, int revisionId)

  - ### unapply

    public scala.Option<scala.Tuple3<Release,Release,Object>> unapply(ReleaseRestoredEvent x$0)